org.apache.hadoop.metrics2.filter

## Class GlobFilter

- java.lang.Object
- - org.apache.hadoop.metrics2.MetricsFilter
  - - org.apache.hadoop.metrics2.filter.AbstractPatternFilter
    - - org.apache.hadoop.metrics2.filter.GlobFilter

- All Implemented Interfaces:
    MetricsPlugin

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class GlobFilter
      extends org.apache.hadoop.metrics2.filter.AbstractPatternFilter

  A glob pattern filter for metrics. The class name is used in metrics config files

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.metrics2.filter.AbstractPatternFilter

      `EXCLUDE_KEY, EXCLUDE_TAGS_KEY, INCLUDE_KEY, INCLUDE_TAGS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.google.re2j.Pattern` | `compile(String s)` Compile a string pattern in to a pattern object

    - ### Methods inherited from class org.apache.hadoop.metrics2.filter.AbstractPatternFilter

      `accepts, accepts, accepts, init`

    - ### Methods inherited from class org.apache.hadoop.metrics2.MetricsFilter

      `accepts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobFilter

          public GlobFilter()

  - ### Method Detail

    - #### compile

          protected com.google.re2j.Pattern compile(String s)

      Description copied from class: `org.apache.hadoop.metrics2.filter.AbstractPatternFilter`
      Compile a string pattern in to a pattern object
      Specified by:
        `compile` in class `org.apache.hadoop.metrics2.filter.AbstractPatternFilter`
      Parameters:
        `s` - the string pattern to compile
      Returns:
        the compiled pattern object

Copyright © 2022 Apache Software Foundation. All rights reserved.